# サンプルプロジェクト

<p class="description">A selection of example projects to get started with.</p>

## Official examples

You can find some example projects in the [GitHub repository](https://github.com/mui-org/material-ui) under the [`/examples`](https://github.com/mui-org/material-ui/tree/master/examples) folder:

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Preact](https://github.com/mui-org/material-ui/tree/master/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- E mais

Create React AppはReactを学ぶのに良いプロジェクトです。 どのプロジェクトが自分のニーズに最も適しているか知る為に[利用可能な代替案](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives)をみてみてください。

このドキュメントサイトのソースコードもリポジトリに含まれています。 少しだけ複雑なプロジェクトです。 [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs)フォルダのビルド手順を確認してください。

## More advanced example projects

If you want to start with a more complete and real world example, you could take a look at the [free templates](/getting-started/templates/) or [premium themes & templates](https://themes.material-ui.com/) or:

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted), which includes:
    
  - Created with Create React App
  - 単一のCLIコマンドで新しいプロジェクトを開始するカスタムCreate React Appスクリプト
  - 公式のFirebase Web Auth UIを使用した認証を含むFirebase用のビルド
  - エラー処理（404）および遅延ロードを含むReact Routerによるルーティング
  - すべてのPWA機能が含まれています（SW、通知、遅延インストールプロンプトなど）
  - 最適化されたスケーラブルなパフォーマンス（すべてLighthouseで最大100ポイント）
- [React + Material-UI + Firebase](https://github.com/Phoqe/react-material-ui-firebase):
    
  - React Appの作成でブートストラップされ、同じツールがすぐに使用できます
  - 認証、Cloud Firestore、Cloud Functions、Storage、およびPerformance Monitoringを最初から使用できるFirebaseの上に構築
  - エラー処理を含むReact Routerによる堅牢なルーティング
  - Extensive mobile support with full-screen dialogs and react-swipeable-views for tabs
- [Material Sense](https://github.com/alexanmtz/material-sense), which includes:
    
  - rechartsを用いたグラフ
  - ナビゲーションのサンプルに含まれるReact Router
  - プロダクションビルド用のNginxサーバ含むdockerコンテナ
  - Created with Create React App