# Projetos de exemplo

<p class="description">Uma seleção de projetos de exemplo para começar.</p>

## Exemplos oficiais

Você pode encontrar alguns exemplos de projetos no repositório [GitHub](https://github.com/mui-org/material-ui) na pasta [`/examples`](https://github.com/mui-org/material-ui/tree/master/examples):

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Preact](https://github.com/mui-org/material-ui/tree/master/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- E mais

Create React App é um projeto incrível para aprender React. Dê uma olhada nas [alternativas disponíveis](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) para ver qual projeto melhor atende às suas necessidades.

O código-fonte deste site de documentação também está incluído no repositório. Este é um projeto um pouco mais complexo. Confira a pasta [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs) para instruções de compilação.

## Projetos de exemplo mais avançados

Se você deseja começar com um exemplo mais completo e real, pode dar uma olhada nos [modelos gratuitos](/getting-started/templates/) ou [temas premium & modelos](https://themes.material-ui.com/) ou:

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted), which includes:
    
  - Created with Create React App
  - Custom Create React App script to start a new project with just a single CLI command
  - Build for Firebase including Authentication using the official Firebase Web Auth UI
  - Routing with React Router including error handling (404) and lazy loading
  - All PWA features included (SW, Notifications, deffered installation prompt and more)
  - Optimized and scalable performance (all ~100 points on Lighthouse)
- [React + Material-UI + Firebase](https://github.com/Phoqe/react-material-ui-firebase):
    
  - Bootstrapped com Create React App, porém, também funcionará em seus boilerplates
  - Construído sobre o Firebase com Autenticação, Cloud Firestore, Cloud Functions, Armazenamento e Monitoramento de Desempenho funcionando desde o início
  - Encaminhamento robusto com o React Router, incluindo tratamento de erros
  - Extensive mobile support with full-screen dialogs and react-swipeable-views for tabs
- [Material Sense](https://github.com/alexanmtz/material-sense), que inclui:
    
  - Gráfico usando recharts
  - React Router incluído com um exemplo de navegação
  - Um contêiner docker com um servidor Nginx para compilação de produção
  - Criado com o Create React App