# 学习使用 Material-UI

<p class="description">您是第一次接触 Material-UI 吗? 如果你知道从哪里开始, 就很容易学会! 而接下来的教程将帮助你快速入门。</p>

学习 Material-UI 的人们有着不同背景和不同学习方法。 无论您是喜欢更理论还是实践的学习方法，我们都希望本节对您有所帮助。 与任何新技术一样，Material-UI 的确有一个学习曲线。 有了练习和耐心, 你很快就会掌握其中的诀窍。

## 第一个例子

您可以在[用法页面](/getting-started/usage/#quick-start) 找到一个带有实时编辑器的小小的 Material-UI 示例。 即使您还不了解有关 Material-UI 的任何信息，请尝试改变代码并看一下它对结果的影响。

## 范例项目

There are [some example projects](/getting-started/example-projects/) available, providing the infrastructure needed to develop and deploy websites in React.

## Templates

This [selection of basic templates](/getting-started/templates/) will help you get started building your app.

## 推荐资源

首次学习 Material-UI 时，您可能会发现一些第三方博客文章，书籍和视频课程反而会比官方文档更有帮助。 Here are some recommended resources, some of which are free.

### 免费的资源

- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI. 
  - 📝 [博文](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: a series of videos covering all the important Material-UI components. 
  - 📹 [视频](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: a blog post that guides you in building a simple card list. 
  - 📝 [博文](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [视频](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: a blog post covering some important Material-UI concepts. 
  - 📝 [博文](https://alligator.io/react/material-ui/)

### 付费的资源

- **Material-UI with React**: Material-UI is an excellent framework to develop beautiful React components faster! This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.
  
  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)
- **React Material-UI Cookbook**: Build modern day application by implementing Material Design principles in React applications using Material-UI.
  
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1789615224&linkCode=as2&tag=oliviertassin-20&linkId=79aec1cb9db829135838614ac1953380)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1789615224&linkCode=as2&tag=oliviertassin-20&linkId=79aec1cb9db829135838614ac1953380)

- **Builder Book**: Learn how to build a full-stack JavaScript web application from scratch, using a Modern JavaScript stack and Material-UI. 
  - 📘 [书](https://builderbook.org/book)